#include <iostream>

using namespace std;

int main(){
	int n; // размер массива
	int sum = 0; // сумма
	bool summands; // переменная для проверки наличия слагаемых

	cout << "Input size of array: ";
	cin >> n; // ввод размера массива

	if (n < 1){ // если размер меньше 0, то
		cout << "Size can't be less than 1." << endl; // вывод сообщения об ошибке
		return 0; // завершение программы
	}

	int *array = new int [n]; // создание массива с указанным размером
	// ввод массива
	cout << "Input elements of array:" << endl;
	for (int i = 0; i < n; i++){
		cin >> array[i];
	}
	cout << endl;

	// вывод массива
	cout << "Entered array:\t";
	for (int i = 0; i < n; i++){
		cout << array[i] << "\t";
	}
	cout << endl << endl;

	// проверка наличия слагаемых
	summands = false;
	for (int i = 0; i < n; i++){
		if (array[i] % 7 == 0){ // если найден хотя бы 1 элемент, который делится на 7
			summands = true; // меняем переменную наличия слагаемых
			break; // останавливаем цикл
		}
	}
	
	// если нет слагаемых, то завершаем программу
	if (summands == false){
		cout << "There are no summands." << endl;
		delete[] array; // удаляем массив
		return 0;
	}

	// если есть слагаемые
	// цикл на перебор массива
    for (int i = 0; i < n; i++){
		if (array[i] == 0){ // если текущий элемент является нулем, то пропускаем его
			continue;
		}
		if (array[i] % 7 == 0){ // если элемент массива делится на 7, то
			sum = sum + array[i]; // добавляем его к сумме
		}
	}

	// вывод суммы
	cout << "Sum: " << sum << endl;

	// Очистка ОЗУ от динамического массива
	delete[] array;
	
	// завершение программы
	return 0;
}
